## org.opencyc.cycobject
Class UnitTest

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--org.opencyc.cycobject.UnitTest

All Implemented Interfaces:
  junit.framework.Test

public class UnitTest
extends junit.framework.TestCase

Provides a suite of JUnit test cases for the `org.opencyc.cycobject` package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Constructor Summary
`UnitTest(java.lang.String name)` Construct a new UnitTest object.

Method Summary
`static void` `main(java.lang.String[] args)` Main method in case tracing is prefered over running JUnit.
`static junit.framework.Test` `suite()` Runs the unit tests
`void` `testByteArray()` Tests the ByteArray class.
`void` `testCycAssertion()` Tests the CycAssertion class.
`void` `testCycConstant()` Tests `CycConstant` object behavior.
`void` `testCycList()` Tests `CycList` object behavior.
`void` `testCycListVisitor()` Tests `CycListVisitor` object behavior.
`void` `testCycNart()` Tests `CycNart` object behavior.
`void` `testCycSymbol()` Tests `CycSymbol` object behavior.
`void` `testCycVariable()` Tests `CycVariable` object behavior.
`void` `testGuid()` Tests `Guid` object behavior.
`void` `testStreamTokenizer()` Tests StreamTokenizer CycList parsing behavior.
`void` `testTestHarness()` Tests the test harness itself.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnitTest

    public UnitTest(java.lang.String name)

  Construct a new UnitTest object.
  Parameters:
    `name` - the test case name.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main method in case tracing is prefered over running JUnit.

### suite

    public static junit.framework.Test suite()

  Runs the unit tests

### testTestHarness

    public void testTestHarness()

  Tests the test harness itself.

### testGuid

    public void testGuid()

  Tests `Guid` object behavior.

### testCycSymbol

    public void testCycSymbol()

  Tests `CycSymbol` object behavior.

### testCycConstant

    public void testCycConstant()

  Tests `CycConstant` object behavior.

### testCycNart

    public void testCycNart()

  Tests `CycNart` object behavior.

### testCycVariable

    public void testCycVariable()

  Tests `CycVariable` object behavior.

### testStreamTokenizer

    public void testStreamTokenizer()

  Tests StreamTokenizer CycList parsing behavior.

### testCycList

    public void testCycList()

  Tests `CycList` object behavior.

### testCycListVisitor

    public void testCycListVisitor()

  Tests `CycListVisitor` object behavior.

### testCycAssertion

    public void testCycAssertion()

  Tests the CycAssertion class.

### testByteArray

    public void testByteArray()

  Tests the ByteArray class.